# Selecting data

For each endpoint, you can select which columns you want to retrieve by using the `select` query parameter. Besides the columns of the resource itself, you can also select columns from related resources, listed under each resource's object. For more advanced selection options refer to [the PostgREST documentation](https://docs.postgrest.org/en/v14/references/api/tables_views.html#vertical-filtering).

Selecting all columns

```
curl "https://api.cv-transformer.com/v1/layouts?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

Selecting specific columns

```
curl "https://api.cv-transformer.com/v1/layouts?select=id,name" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

Including data from related tables

```
curl "https://api.cv-transformer.com/v1/layouts?select=name,candidates(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"
```
